VERSION 5.00
Begin VB.Form frmMakeBedFile 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Create Bed Elevation Data File"
   ClientHeight    =   6165
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6270
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   6165
   ScaleWidth      =   6270
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtBedFile 
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   285
      Left            =   2775
      TabIndex        =   3
      Text            =   "bedfile"
      Top             =   4800
      Width           =   3135
   End
   Begin VB.DirListBox dirBed 
      Height          =   1440
      Left            =   2760
      TabIndex        =   2
      Top             =   2880
      Width           =   3135
   End
   Begin VB.DriveListBox drvBed 
      Height          =   315
      Left            =   2760
      TabIndex        =   1
      Top             =   2400
      Width           =   3135
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "CANCEL"
      Height          =   495
      Left            =   4560
      TabIndex        =   5
      Top             =   5280
      Width           =   1335
   End
   Begin VB.CommandButton cmdSave 
      Caption         =   "SAVE FILE"
      Height          =   495
      Left            =   2760
      TabIndex        =   4
      Top             =   5280
      Width           =   1215
   End
   Begin VB.TextBox txtBedData 
      Height          =   3375
      Left            =   360
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   0
      Top             =   2400
      Width           =   2055
   End
   Begin VB.Label lblInst3 
      Caption         =   "  3)  Save the File."
      Height          =   330
      Left            =   525
      TabIndex        =   11
      Top             =   1515
      Width           =   5520
   End
   Begin VB.Label lblInst2 
      Caption         =   "2)  Enter the location, elevation pairs, separated by a space."
      Height          =   255
      Left            =   630
      TabIndex        =   10
      Top             =   1170
      Width           =   5295
   End
   Begin VB.Label lblInst1 
      Caption         =   "1)  Enter the number of location, elevation pairs.  Press Enter."
      Height          =   255
      Left            =   615
      TabIndex        =   9
      Top             =   840
      Width           =   5295
   End
   Begin VB.Label lblBedFile 
      Caption         =   "Save bed elevation file as:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   2745
      TabIndex        =   8
      Top             =   4425
      Width           =   2535
   End
   Begin VB.Label lblDataPairs 
      Caption         =   "Location           Elevation"
      Height          =   255
      Left            =   360
      TabIndex        =   7
      Top             =   2160
      Width           =   1935
   End
   Begin VB.Label lblInstruct 
      Caption         =   "Enter the bed elevation data in the following textbox.  The format should be:  "
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   360
      TabIndex        =   6
      Top             =   240
      Width           =   5535
   End
End
Attribute VB_Name = "frmMakeBedFile"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub drvBed_Change()
  dirBed = drvBed
End Sub

Private Sub cmdCancel_Click()
  Unload frmMakeBedFile
End Sub
Private Sub SaveFile(fname As String)
  Dim fnum As Long  'integer that identifies file
  fnum = FreeFile
  Open fname For Output As #fnum
  Print #fnum, txtBedData
  Close #fnum
End Sub

Private Sub cmdSave_Click()
  Dim bedfilename As String
  bedfilename = dirBed & "\" & txtBedFile
  If (Dir(bedfilename)) = txtBedFile Then
   If (MsgBox("File Exists.  Overwrite?", vbYesNo + vbDefaultButton2)) _
        = vbYes Then SaveFile (bedfilename) Else Exit Sub
  Else
    SaveFile (bedfilename)
  End If
   
  frmInput.txtBedFile = bedfilename
  Unload frmMakeBedFile
  Unload frmPickFile
End Sub
